require "minitest/autorun"
require 'cpuinfo'

class TestCPUInfo < Minitest::Test

    class CPUInfo::CPUS
        def self.read_cpuinfo
            File.read "test/fixtures/cpuinfo"
        end
    end

    def test_readme
        CPUInfo::CPUS.first.attributes.each do |name, value|
            puts "%s : %s" % [name, value]
        end
    end

    def test_number_of_cpus
        assert_equal 1, CPUInfo::CPUS.size
    end

    def test_number_of_attributes
        assert_equal 25, CPUInfo::CPUS[0].attributes.keys.size
    end

    def test_formats
        puts CPUInfo::CPUS[0]
        assert_kind_of Integer, CPUInfo::CPUS[0].core_id
    end
end
